<script setup lang="ts">
import { useTheme } from "vuetify";
import type { Link } from "zhead";

const theme = useTheme();
const colorMode = useColorMode({ storageKey: "theme" });

const head = useLocaleHead({
  addDirAttribute: true,
  identifierAttribute: "id",
  addSeoAttributes: true
});

const links = head.value.link.map(
  (link: Link) => link.rel === "canonical" ? ({ ...link, rel: "https://sara.halvor.pro" }) : link
);

useHead({
  htmlAttrs: {
    lang: head.value.htmlAttrs!.lang
  },
  link: [...(links || [])],
  meta: [...(head.value.meta || [])]
});

useSeoMeta({
  titleTemplate: (titleChunk) => {
    return titleChunk && titleChunk !== "Sara" ? `${titleChunk} - Sara` : "Sara";
  }
});

onMounted(async () => theme.global.name.value = colorMode.value === "auto" ? colorMode.system.value : colorMode.value);
</script>

<template>
  <nuxt-layout>
    <nuxt-page />
  </nuxt-layout>
</template>
